MPI_Get_elements(3)

NAME
MPI_Get_elements - get_elements

SYNOPSIS
int MPI_Get_elements(MPI_Status *status, MPI_Datatype datatype, int *elements)

ARGUMENTS
MPI_Status *status
    - status
MPI_Datatype datatype
    - datatype
int *elements
    - elements

NOTES
If the size of the datatype is zero and the amount of data returned as determined by status is also zero, this routine will return a count of zero. This is consistent with a clarification made by the MPI Forum.

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

ERRORS
All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Comm_set_errhandler (for communicators), MPI_File_set_errhandler (for files), and MPI_Win_set_errhandler (for RMA windows). The MPI-1 routine MPI_Errhandler_set may be used but its use is deprecated. The predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarentee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.
MPI_SUCCESS
    - No error; MPI routine completed successfully.

LOCATION
get_elements.c